%define upstream_name	 RPC-XML
%define upstream_version 0.79

%global __requires_exclude perl\\(Apache[A-Za-z_:]*\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A set of classes for core data, message and XML handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(LWP) >= 5.834.0
BuildRequires: perl(Module::Load) >= 0.240.0
BuildRequires: perl(Scalar::Util) >= 1.330.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(XML::Parser) >= 2.310.0
BuildRequires: perl(constant) >= 1.30.0
BuildArch:  noarch

Obsoletes:  perl-RPC-XML-Apache <= 0.740.0

%description
The RPC::XML package is a reference implementation of the XML-RPC
standard. As a reference implementation, it is geared more towards clarity and
readability than efficiency.

The package provides a set of classes for creating values to pass to the
constructors for requests and responses. These are lightweight objects, most
of which are implemented as tied scalars so as to associate specific type
information with the value. Classes are also provided for requests, responses,
faults (errors) and a parser based on the XML::Parser package from CPAN.

This module does not actually provide any transport implementation or
server basis. For these, see RPC::XML::Client and RPC::XML::Server,
respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

# make tests don't work
# make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README ex
%{_bindir}/*
%{perl_vendorlib}/
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.790.0-4.mga6
+ Revision: 1032954
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 shlomif <shlomif> 0.790.0-3.mga6
+ Revision: 997021
- Remove dependency on Apache

* Fri Feb 19 2016 umeabot <umeabot> 0.790.0-2.mga6
+ Revision: 967731
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.790.0-1.mga6
+ Revision: 850178
- update to 0.79

* Wed Oct 15 2014 umeabot <umeabot> 0.780.0-3.mga5
+ Revision: 747394
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.780.0-2.mga5
+ Revision: 686075
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.780.0-1.mga5
+ Revision: 588632
- update to 0.78

* Fri Oct 18 2013 umeabot <umeabot> 0.770.0-3.mga4
+ Revision: 514359
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.770.0-2.mga3
+ Revision: 372182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.770.0-1.mga3
+ Revision: 288511
- update to 0.77

  + jquelin <jquelin>
    - update to 0.76

* Wed Feb 16 2011 jquelin <jquelin> 0.740.0-1.mga1
+ Revision: 52687
- update to 0.74

* Sun Jan 23 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 34192
- mageia rebuild
- imported package perl-RPC-XML


* Wed Mar 17 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2010.1
+ Revision: 523436
- update to 0.73

* Mon Dec 14 2009 Jérôme Quelin <jquelin@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 478548
- update to 0.72

* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.710.0-1mdv2010.1
+ Revision: 474745
- update to 0.71

* Fri Sep 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.690.0-1mdv2010.0
+ Revision: 430459
- update to 0.69

* Fri Jul 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.670.0-1mdv2010.0
+ Revision: 394272
- update to 0.67
- using %%perl_convert_version
- fixed license field

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdv2010.0
+ Revision: 394089
- update to new version 0.66

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2010.0
+ Revision: 387018
- update to new version 0.65

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-1mdv2009.1
+ Revision: 292342
- update to new version 0.64

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.60-2mdv2009.0
+ Revision: 265434
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.60-1mdv2009.0
+ Revision: 193925
- update to new version 0.60

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.59-3mdv2008.1
+ Revision: 180543
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-2mdv2008.0
+ Revision: 86832
- rebuild


* Sat Jul 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-1mdv2007.0
- New version 0.59
- spec cleanup
- fix directory ownership

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.58-2mdk
- Fix BuildRequires

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.58-1mdk
- initial Mandriva package

